ApiControlPlane (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiControlPlane

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiControlPlane

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiControlPlane
      extends Object

  A Control Plane in a Cloudera Manager instance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiControlPlane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiControlPlane` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiControlPlane` | `dnsSuffix(String dnsSuffix)`
    `boolean` | `equals(Object o)`
    `String` | `getDnsSuffix()` The domain where the control plane is installed.
    `String` | `getKubernetesType()` The kubernetes type on which the control plane is running
    `String` | `getManifest()` The content of the manifest.json of the control plane
    `String` | `getNamespace()` The namespace where the control plane is installed.
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the artifacts used to install the control plane are hosted
    `List<ApiEntityTag>` | `getTags()` Tags associated with the control plane.
    `String` | `getUuid()` The universally unique ID of this control plane in Cloudera Manager
    `String` | `getValuesYaml()` The content of the values.yaml used to configure the control plane
    `String` | `getVersion()` The CDP version of the control plane
    `int` | `hashCode()`
    `ApiControlPlane` | `kubernetesType(String kubernetesType)`
    `ApiControlPlane` | `manifest(String manifest)`
    `ApiControlPlane` | `namespace(String namespace)`
    `ApiControlPlane` | `remoteRepoUrl(String remoteRepoUrl)`
    `void` | `setDnsSuffix(String dnsSuffix)`
    `void` | `setKubernetesType(String kubernetesType)`
    `void` | `setManifest(String manifest)`
    `void` | `setNamespace(String namespace)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `void` | `setUuid(String uuid)`
    `void` | `setValuesYaml(String valuesYaml)`
    `void` | `setVersion(String version)`
    `ApiControlPlane` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`
    `ApiControlPlane` | `uuid(String uuid)`
    `ApiControlPlane` | `valuesYaml(String valuesYaml)`
    `ApiControlPlane` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiControlPlane

          public ApiControlPlane()

  - ### Method Detail

    - #### namespace

          public ApiControlPlane namespace(String namespace)

    - #### getNamespace

          public String getNamespace()

      The namespace where the control plane is installed. Append the domain to the namespace to get the url of the control plane.
      Returns:
        namespace

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### dnsSuffix

          public ApiControlPlane dnsSuffix(String dnsSuffix)

    - #### getDnsSuffix

          public String getDnsSuffix()

      The domain where the control plane is installed. Append the domain to the namespace to get the url of the control plane.
      Returns:
        dnsSuffix

    - #### setDnsSuffix

          public void setDnsSuffix(String dnsSuffix)

    - #### uuid

          public ApiControlPlane uuid(String uuid)

    - #### getUuid

          public String getUuid()

      The universally unique ID of this control plane in Cloudera Manager
      Returns:
        uuid

    - #### setUuid

          public void setUuid(String uuid)

    - #### remoteRepoUrl

          public ApiControlPlane remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the artifacts used to install the control plane are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### version

          public ApiControlPlane version(String version)

    - #### getVersion

          public String getVersion()

      The CDP version of the control plane
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### manifest

          public ApiControlPlane manifest(String manifest)

    - #### getManifest

          public String getManifest()

      The content of the manifest.json of the control plane
      Returns:
        manifest

    - #### setManifest

          public void setManifest(String manifest)

    - #### valuesYaml

          public ApiControlPlane valuesYaml(String valuesYaml)

    - #### getValuesYaml

          public String getValuesYaml()

      The content of the values.yaml used to configure the control plane
      Returns:
        valuesYaml

    - #### setValuesYaml

          public void setValuesYaml(String valuesYaml)

    - #### tags

          public ApiControlPlane tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiControlPlane addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the control plane. Available since V46.
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### kubernetesType

          public ApiControlPlane kubernetesType(String kubernetesType)

    - #### getKubernetesType

          public String getKubernetesType()

      The kubernetes type on which the control plane is running
      Returns:
        kubernetesType

    - #### setKubernetesType

          public void setKubernetesType(String kubernetesType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.